//
//  GameBrain.swift
//  TicTacToe2020
//
//  Created by Andres Käver on 30.03.2020.
//  Copyright © 2020 Andres Käver. All rights reserved.
//

import Foundation


class GameBrain {
    var gameBoard: [[Tile?]] = Array(repeating: Array(repeating: nil, count: 3), count: 3)
    
    var nextMoveByCross = true

    func getTile(columnNo col: Int, rowNo row: Int) -> Tile? {
        return gameBoard[col][row]
    }
    
    func move(columnNo col: Int, rowNo row: Int){
        if getTile(columnNo: col, rowNo: row) == nil {
            gameBoard[col][row] = Tile(isCross: nextMoveByCross)
            nextMoveByCross = !nextMoveByCross
        }
    }
    
    func reset(){
        gameBoard = Array(repeating: Array(repeating: nil, count: 3), count: 3)
    }
    
}
